Page 1 of 1

Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 08:30
by palimmo
And now?

Code: Select all

~$ kdesudo kate
Executing Kate with sudo is not possible due to unfixable security vulnerabilities.
~$ kdesudo dolphin
Executing Dolphin with sudo is not possible due to unfixable security vulnerabilities.
~$ sudo su
root@solydxk:/home/alessio# kate
Executing Kate with sudo is not possible due to unfixable security vulnerabilities.
:?

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 10:17
by Arjen Balfoort
If you are on EE:

Code: Select all

apt update
apt install solydk-system-adjustments-10
and/or run:

Code: Select all

pkexec kate
Always use pkexec for graphical applications.

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 10:40
by palimmo
I'm on solydk 9.
solydk-system-adjustments is installed.

Code: Select all

~$ pkexec kate
QXcbConnection: Could not connect to display 
Aborted

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 12:01
by palimmo
this way it works...

Code: Select all

~$ su -
Password: 
root@solydxk:~# kate

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 12:27
by ilu
That's not the way it's supposed to be. Could you check this post viewtopic.php?f=7&t=7538#p70140 and give the output of the commands Arjen asked for?

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 12:42
by grizzler
That's no longer applicable. The diversion of pkexec has been removed.

Apparently kate doesn't have a policy file either...

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Posted: 30 May 2019 13:17
by Arjen Balfoort
I've added policies for kate and dolphin in both solydxk-system-adjustments-9 (uploaded just now) and solydxk-system-adjustments-10 (uploaded yesterday).

Code: Select all

apt update
apt install solydk-system-adjustments-9
I rebooted, but I don't know if that is necessary.